org.codehaus.groovy.vmplugin.v4

## Class Java4

- java.lang.Object
- - org.codehaus.groovy.vmplugin.v4.Java4

All Implemented Interfaces:
  VMPlugin

    public class Java4
    extends Object
    implements VMPlugin

java 4 based functions

Author:
  Jochen Theodorou

### Constructor Summary

Constructors
Constructor and Description
`Java4()`

### Method Summary

Methods
`void` `configureAnnotation(AnnotationNode an)`
`void` `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`Class[]` `getPluginDefaultGroovyMethods()`
`void` `setAdditionalClassInformation(ClassNode c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Java4

    public Java4()

### Method Detail

#### setAdditionalClassInformation

    public void setAdditionalClassInformation(ClassNode c)

Specified by:
  `setAdditionalClassInformation` in interface `VMPlugin`

#### getPluginDefaultGroovyMethods

    public Class[] getPluginDefaultGroovyMethods()

Specified by:
  `getPluginDefaultGroovyMethods` in interface `VMPlugin`

#### configureAnnotation

    public void configureAnnotation(AnnotationNode an)

Specified by:
  `configureAnnotation` in interface `VMPlugin`

#### configureClassNode

    public void configureClassNode(CompileUnit compileUnit,
                          ClassNode classNode)

Specified by:
  `configureClassNode` in interface `VMPlugin`